# TrimFilter Class Reference
[Tools for primitive's filtration]

Inheritance diagram for TrimFilter:
[legend]

List of all members.

## Public Member Functions

| setLeft ()
| setRight ()
| setBoth ()
| apply ($value)
| setCharlist ($charlist)

## Static Public Member Functions

static | create ()

## Public Attributes

const | LEFT = 'l'
const | RIGHT = 'r'
const | BOTH = null

## Private Attributes

| $charlist = null
| $direction = self::BOTH

## Detailed Description

Definition at line 15 of file TrimFilter.class.php.

## Member Function Documentation

TrimFilter::apply | ( | $ | value | ) |

Implements Filtrator.

Definition at line 62 of file TrimFilter.class.php.

static TrimFilter::create | ( |  | ) | `[static]`

Returns:
  TrimFilter

Definition at line 27 of file TrimFilter.class.php.

Referenced by Filter::trim().

TrimFilter::setBoth | ( |  | ) |

Returns:
  TrimFilter

Definition at line 55 of file TrimFilter.class.php.

TrimFilter::setCharlist | ( | $ | charlist | ) |

Returns:
  TrimFilter

Definition at line 76 of file TrimFilter.class.php.

References $charlist.

TrimFilter::setLeft | ( |  | ) |

Returns:
  TrimFilter

Definition at line 35 of file TrimFilter.class.php.

TrimFilter::setRight | ( |  | ) |

Returns:
  TrimFilter

Definition at line 45 of file TrimFilter.class.php.

## Member Data Documentation

TrimFilter::$charlist = null`[private]`

Definition at line 21 of file TrimFilter.class.php.

Referenced by setCharlist().

TrimFilter::$direction = self::BOTH`[private]`

Definition at line 22 of file TrimFilter.class.php.

const TrimFilter::BOTH = null

Definition at line 19 of file TrimFilter.class.php.

const TrimFilter::LEFT = 'l'

Definition at line 17 of file TrimFilter.class.php.

const TrimFilter::RIGHT = 'r'

Definition at line 18 of file TrimFilter.class.php.

The documentation for this class was generated from the following file:

- core/Form/Filters/TrimFilter.class.php